Glib::Value< Glib::ustring > Class Template Reference
Generic Values

Specialization for UTF-8 strings. More...

`#include <glibmm/value.h>`

Inheritance diagram for Glib::Value< Glib::ustring >:
[legend]

## Public Types

using | CppType = Glib::ustring
Public Types inherited from Glib::ValueBase_String
using | CType = const gchar*

## Public Member Functions

void | set (const Glib::ustring& data)
Glib::ustring | get () const
Public Member Functions inherited from Glib::ValueBase
| ValueBase ()
| Initializes the GValue, but without a type. More...
| ValueBase (const ValueBase& other)
ValueBase& | operator= (const ValueBase& other)
| ~ValueBase () noexcept
void | init (GType type)
| Setup the GValue for storing the specified type. More...
void | init (const GValue* value)
| Setup the GValue storing the type and value of the specified value. More...
void | reset ()
| Reset contents to the default value of its type. More...
GValue* | gobj ()
const GValue* | gobj () const

## Additional Inherited Members

Static Public Member Functions inherited from Glib::ValueBase_String
static GType | value_type ()
Protected Member Functions inherited from Glib::ValueBase_String
void | set_cstring (const char* data)
const char* | get_cstring () const
Protected Attributes inherited from Glib::ValueBase
GValue | gobject_

## Detailed Description

### template<>
class Glib::Value< Glib::ustring >

Specialization for UTF-8 strings.

## Member Typedef Documentation

using Glib::Value< Glib::ustring >::CppType = Glib::ustring

## Member Function Documentation

Glib::ustring Glib::Value< Glib::ustring >::get | ( |  | ) | const

inline

void Glib::Value< Glib::ustring >::set | ( | const Glib::ustring& | data | ) |